%define anolis_release 1
%global pypi_name proglog
%global pypi_version 0.1.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Log and progress bar manager for console, notebooks, web

License:        MIT
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Proglog is a progress logging system for Python. It allows to build complex
libraries while giving the user control on the management of logs, callbacks
and progress bars.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
Proglog is a progress logging system for Python. It allows to build complex
libraries while giving the user control on the management of logs, callbacks
and progress bars.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst pypi-readme.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.1.10-1
- Initial package.